services:
  db:
    image: mysql:8.0
    container_name: mysql-parser
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: 32TeUp6mF9
      MYSQL_DATABASE: parser
      MYSQL_USER: parser
      MYSQL_PASSWORD: 32TeUp6mF9
    ports:
      - "3306:3306"
    volumes:
      - mysql_data:/var/lib/mysql
    command: --default-authentication-plugin=mysql_native_password

  db_filter:
    image: mysql:8.0
    container_name: mysql-filter
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: fillter
      MYSQL_DATABASE: fillter
      MYSQL_USER: fillter
      MYSQL_PASSWORD: fillter
    ports:
      - "3307:3306"
    volumes:
      - mysql_filter_data:/var/lib/mysql
    command: --default-authentication-plugin=mysql_native_password

  adminer:
    image: adminer
    container_name: adminer-parser
    restart: unless-stopped
    ports:
      - "8080:8080"
    depends_on:
      - db
      - db_filter

volumes:
  mysql_data:
  mysql_filter_data:
